
package com.cpm.lorealbaautomation.gsonGetterSetter;

import java.io.Serializable;
import java.util.List;

import com.google.gson.annotations.SerializedName;
import com.cpm.lorealbaautomation.reportGetterSetter.ReportAvgBillValue;
import com.cpm.lorealbaautomation.reportGetterSetter.ReportAvgLinPerBill;
import com.cpm.lorealbaautomation.reportGetterSetter.ReportAvgTransactionPerDay;
import com.cpm.lorealbaautomation.reportGetterSetter.ReportAvgUnitsPerBill;
import com.cpm.lorealbaautomation.reportGetterSetter.ReportSalesValue;
import com.cpm.lorealbaautomation.reportGetterSetter.ReportSellingPrice;
import com.cpm.lorealbaautomation.reportGetterSetter.ReportTop10Value;
import com.cpm.lorealbaautomation.reportGetterSetter.ReportTop10Volume;

public class MasterProfileQuestionGetterSetter implements Serializable {
    @SerializedName("Master_ProfileQuestion")
    private List<MasterProfileQuestion> masterProfileQuestion = null;
    public List<MasterProfileQuestion> getMasterProfileQuestion() {
        return masterProfileQuestion;
    }
    @SerializedName("Master_ReturnReason")
    private List<MasterReturnReason> masterReturnReason = null;

    public List<MasterReturnReason> getMasterReturnReason() {
        return masterReturnReason;
    }
    @SerializedName("Master_TermsCondition")
    private List<MasterTermsCondition> masterTermsCondition = null;
    public List<MasterTermsCondition> getMasterTermsCondition() {
        return masterTermsCondition;
    }
    public List<T_LeaveRequest> gettLeaveRequestList() {
        return tLeaveRequestList;
    }

    @SerializedName("T_LeaveRequest")
    private List<T_LeaveRequest> tLeaveRequestList = null;

    @SerializedName("T_LeaveLedger")
    private List<TLeaveLedger> tLeaveLedger = null;
    public List<TLeaveLedger> getTLeaveLedger() {
        return tLeaveLedger;
    }

    @SerializedName("Master_Break")
    private List<MasterBreak> masterBreak = null;
    public List<MasterBreak> getMasterBreak() {
        return masterBreak;
    }

    @SerializedName("Report_SalesValue")
    private List<ReportSalesValue> reportSalesValue = null;
    public List<ReportSalesValue> getReportSalesValue() {
        return reportSalesValue;
    }
    @SerializedName("Report_AvgTransactionPerDay")
    private List<ReportAvgTransactionPerDay> reportAvgTransactionPerDay = null;
    public List<ReportAvgTransactionPerDay> getReportAvgTransactionPerDay() {
        return reportAvgTransactionPerDay;
    }

    @SerializedName("Report_AvgBillValue")
    private List<ReportAvgBillValue> reportAvgBillValue = null;
    public List<ReportAvgBillValue> getReportAvgBillValue() {
        return reportAvgBillValue;
    }

    @SerializedName("Report_AvgLinPerBill")
    private List<ReportAvgLinPerBill> reportAvgLinPerBill = null;
    public List<ReportAvgLinPerBill> getReportAvgLinPerBill() {
        return reportAvgLinPerBill;
    }
    @SerializedName("Report_SellingPrice")
    private List<ReportSellingPrice> reportSellingPrice = null;
    public List<ReportSellingPrice> getReportSellingPrice() {
        return reportSellingPrice;
    }

    @SerializedName("Report_Top10Volume")
    private List<ReportTop10Volume> reportTop10Volume = null;
    public List<ReportTop10Volume> getReportTop10Volume() {
        return reportTop10Volume;
    }

    @SerializedName("Report_Top10Value")
    private List<ReportTop10Value> reportTop10Value = null;
    public List<ReportTop10Value> getReportTop10Value() {
        return reportTop10Value;
    }

    @SerializedName("Report_AvgUnitsPerBill")
    private List<ReportAvgUnitsPerBill> reportAvgUnitsPerBill = null;
    public List<ReportAvgUnitsPerBill> getReportAvgUnitsPerBill() {
        return reportAvgUnitsPerBill;
    }

    @SerializedName("Report_Sales_Detail")
    private List<ReportSalesDetail> reportSalesDetail = null;
    public List<ReportSalesDetail> getReportSalesDetail() {
        return reportSalesDetail;
    }
    public List<ReportMESale> getReportMeSaleList() {
        return reportMeSaleList;
    }

    @SerializedName("Report_ME_Sale")
    private List<ReportMESale> reportMeSaleList = null;
    @SerializedName("Report_Sales_DetailME")
    private List<ReportSalesDetail> reportSalesDetailMe = null;
    public List<ReportSalesDetail> getReportSalesDetailMe() {
        return reportSalesDetailMe;
    }


}
